Ubuntu-RS forumi
Problem sa uklanjanjem starih kernela na 14.04 - Verzija za Štampu

+- Ubuntu-RS forumi (http://forum.ubuntu-rs.org)
+-- Forum: Ostala aktivna izdanja (/Forum-ostala-aktivna-izdanja)
+--- Forum: Ubuntu 14.04 LTS Trusty Tahr (/Forum-ubuntu-14-04-lts-trusty-tahr)
+---- Forum: Ubuntu 14.04 LTS Trusty Tahr - Softver (/Forum-ubuntu-14-04-lts-trusty-tahr-softver)
+---- Tema: Problem sa uklanjanjem starih kernela na 14.04 (/Thread-problem-sa-uklanjanjem-starih-kernela-na-14-04)



Problem sa uklanjanjem starih kernela na 14.04 - I71 - 07.07.2019. 12.14

Hteo bih da nadogradim (trenutno 14.04), ali, izgleda, ima malo prostora (oko 20 GB), tako htedoh da uklonim stare kernele, ali mi izbacuje ovo:
Kod:
ilija@ilija-O-E-M:~$ sudo apt-get autoremove --purge
Reading package lists... Done
Building dependency tree      
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
linux-generic : Depends: linux-headers-generic (= 3.13.0.147.157) but 3.13.0.144.154 is installed
E: Unmet dependencies. Try using -f.
ilija@ilija-O-E-M:~$

Inače, kerneli su mi od 3.13.0-92 do 3.13.0-147.


RE: Problem sa uklanjanjem starih kernela na 14.04 - promis - 07.07.2019. 12.37

Jel si probao ovo što ti predlaže?


RE: Problem sa uklanjanjem starih kernela na 14.04 - I71 - 07.07.2019. 12.40

Misliš da probam ovo? šta će da uradi?
Kod:
apt-get -f install

Evo šta je izbacilo:
Kod:
ilija@ilija-O-E-M:~$ apt-get -f install
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
ilija@ilija-O-E-M:~$

Aha, zaboravio sam sudo. Evo, izgleda ovo će da valja.

Ipak operacija nije uspela. Evo, šta izbacuje:
Kod:
ilija@ilija-O-E-M:~$ sudo apt-get -f install
[sudo] password for ilija:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  account-plugin-windows-live libmjpegtools-1.9 libmotif-common libmpdec2
  libmrm4 libquicktime2 libuil4 libupstart1 libxm4 linux-headers-3.13.0-100
  linux-headers-3.13.0-100-generic linux-headers-3.13.0-101
  linux-headers-3.13.0-101-generic linux-headers-3.13.0-103
  linux-headers-3.13.0-103-generic linux-headers-3.13.0-105
  linux-headers-3.13.0-105-generic linux-headers-3.13.0-106
  linux-headers-3.13.0-106-generic linux-headers-3.13.0-107
  linux-headers-3.13.0-107-generic linux-headers-3.13.0-108
  linux-headers-3.13.0-108-generic linux-headers-3.13.0-109
  linux-headers-3.13.0-109-generic linux-headers-3.13.0-110
  linux-headers-3.13.0-110-generic linux-headers-3.13.0-112
  linux-headers-3.13.0-112-generic linux-headers-3.13.0-115
  linux-headers-3.13.0-115-generic linux-headers-3.13.0-117
  linux-headers-3.13.0-117-generic linux-headers-3.13.0-119
  linux-headers-3.13.0-119-generic linux-headers-3.13.0-121
  linux-headers-3.13.0-121-generic linux-headers-3.13.0-123
  linux-headers-3.13.0-123-generic linux-headers-3.13.0-142
  linux-headers-3.13.0-142-generic linux-headers-3.13.0-143
  linux-headers-3.13.0-143-generic linux-headers-3.13.0-92
  linux-headers-3.13.0-92-generic linux-headers-3.13.0-93
  linux-headers-3.13.0-93-generic linux-headers-3.13.0-95
  linux-headers-3.13.0-95-generic linux-headers-3.13.0-96
  linux-headers-3.13.0-96-generic linux-headers-3.13.0-98
  linux-headers-3.13.0-98-generic linux-image-3.13.0-100-generic
  linux-image-3.13.0-101-generic linux-image-3.13.0-103-generic
  linux-image-3.13.0-105-generic linux-image-3.13.0-106-generic
  linux-image-3.13.0-107-generic linux-image-3.13.0-108-generic
  linux-image-3.13.0-109-generic linux-image-3.13.0-110-generic
  linux-image-3.13.0-112-generic linux-image-3.13.0-115-generic
  linux-image-3.13.0-117-generic linux-image-3.13.0-119-generic
  linux-image-3.13.0-121-generic linux-image-3.13.0-123-generic
  linux-image-3.13.0-142-generic linux-image-3.13.0-143-generic
  linux-image-3.13.0-92-generic linux-image-3.13.0-93-generic
  linux-image-3.13.0-95-generic linux-image-3.13.0-96-generic
  linux-image-3.13.0-98-generic linux-image-extra-3.13.0-100-generic
  linux-image-extra-3.13.0-101-generic linux-image-extra-3.13.0-103-generic
  linux-image-extra-3.13.0-105-generic linux-image-extra-3.13.0-106-generic
  linux-image-extra-3.13.0-107-generic linux-image-extra-3.13.0-108-generic
  linux-image-extra-3.13.0-109-generic linux-image-extra-3.13.0-110-generic
  linux-image-extra-3.13.0-112-generic linux-image-extra-3.13.0-115-generic
  linux-image-extra-3.13.0-117-generic linux-image-extra-3.13.0-119-generic
  linux-image-extra-3.13.0-121-generic linux-image-extra-3.13.0-123-generic
  linux-image-extra-3.13.0-142-generic linux-image-extra-3.13.0-143-generic
  linux-image-extra-3.13.0-92-generic linux-image-extra-3.13.0-93-generic
  linux-image-extra-3.13.0-95-generic linux-image-extra-3.13.0-96-generic
  linux-image-extra-3.13.0-98-generic
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  amd64-microcode intel-microcode iucode-tool linux-generic
  linux-headers-3.13.0-147 linux-headers-3.13.0-162
  linux-headers-3.13.0-162-generic linux-headers-generic
  linux-image-3.13.0-162-generic linux-image-extra-3.13.0-162-generic
  linux-image-generic
Suggested packages:
  fdutils linux-doc-3.13.0 linux-source-3.13.0 linux-tools
The following NEW packages will be installed:
  amd64-microcode intel-microcode iucode-tool linux-headers-3.13.0-162
  linux-headers-3.13.0-162-generic linux-image-3.13.0-162-generic
  linux-image-extra-3.13.0-162-generic
The following packages will be upgraded:
  linux-generic linux-headers-3.13.0-147 linux-headers-generic
  linux-image-generic
4 upgraded, 7 newly installed, 0 to remove and 299 not upgraded.
2 not fully installed or removed.
Need to get 63,6 MB/72,5 MB of archives.
After this operation, 292 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-3.13.0-162-generic i386 3.13.0-162.212 [15,1 MB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-extra-3.13.0-162-generic i386 3.13.0-162.212 [37,4 MB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ trusty/multiverse iucode-tool i386 1.0.1-1 [27,4 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main amd64-microcode i386 3.20180524.1~ubuntu0.14.04.2+really20130710.1ubuntu1 [26,3 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-headers-3.13.0-162 all 3.13.0-162.212 [8902 kB]
Get:6 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-headers-3.13.0-162-generic i386 3.13.0-162.212 [698 kB]
Err http://us.archive.ubuntu.com/ubuntu/ trusty-security/main intel-microcode i386 3.20180807a.0ubuntu0.14.04.1
  404  Not Found [IP: 91.189.91.23 80]
Err http://us.archive.ubuntu.com/ubuntu/ trusty-security/main linux-generic i386 3.13.0.162.172
  404  Not Found [IP: 91.189.91.23 80]
Err http://us.archive.ubuntu.com/ubuntu/ trusty-security/main linux-image-generic i386 3.13.0.162.172
  404  Not Found [IP: 91.189.91.23 80]
Err http://us.archive.ubuntu.com/ubuntu/ trusty-security/main linux-headers-generic i386 3.13.0.162.172
  404  Not Found [IP: 91.189.91.23 80]
Fetched 62,2 MB in 54s (1142 kB/s)                                            
E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/i/intel-microcode/intel-microcode_3.20180807a.0ubuntu0.14.04.1_i386.deb  404  Not Found [IP: 91.189.91.23 80]

E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-generic_3.13.0.162.172_i386.deb  404  Not Found [IP: 91.189.91.23 80]

E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-image-generic_3.13.0.162.172_i386.deb  404  Not Found [IP: 91.189.91.23 80]

E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-headers-generic_3.13.0.162.172_i386.deb  404  Not Found [IP: 91.189.91.23 80]

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?



RE: Problem sa uklanjanjem starih kernela na 14.04 - zika - 08.07.2019. 12.15

Da li ste, prvo, osvežili stanje spiska archives?
Kod:
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
Da ne pominjem da je Trusty završio sa svojom podrškom, zar ne?
https://wiki.ubuntu.com/Releases


RE: Problem sa uklanjanjem starih kernela na 14.04 - I71 - 08.07.2019. 12.45

Operacija je naposletku uspela.
Koliko sam uspeo da rastumačim, prvo je instaliran novi kernel, pa je zatim izvršen automatski update, što već duže vreme nije. Na to će raditi komanda za uklanjanje starih kernela, čime je i oslobođen prostor za nadogradnju na 16.04.

Problem je bio u tome što 14.04 ima bug pri uklanjanju starih kernela.